"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const mongoose_1 = require("mongoose");
const Timestamp = require("mongoose-timestamp");
const PostSchema = new mongoose_1.Schema({
    shortcut: String,
    tags: [{ type: String }],
    category: { type: String },
    title: { type: String, required: true },
    content: { type: String, required: true },
    deleted: { type: Boolean, required: true, default: false },
    published: { type: Boolean, required: true, default: true },
    author: { type: String, required: true, default: '__guest__' },
});
PostSchema.plugin(Timestamp);
exports.Post = mongoose_1.model('Post', PostSchema);
//# sourceMappingURL=Post.js.map